#!/usr/bin/env python3

"""
A program that loads two integers and computes their greatest common divisors
using the Euclid's algorithm (for example, the one from MATH10101) and
prints it.
"""

m = int(input("m = "))
n = int(input("n = "))

# We want to keep m, n for output
cm = abs(m)  # current m
cn = abs(n)  # current n

# If m < n, the first step will swap them
while cn > 0:
    r = cm % cn
    cm = cn
    cn = r

print("gcd(" + str(m) + ", " + str(n) + ") =", cm)
