#!/usr/bin/env python3

"""
A Pythonic solution of Problem 2.7.
"""

n = int(input("n = "))

# Stringify `n`
ns = str(n)
# Digits have the same comparison results when characters or ints, so
# `ns[i-1] > ns[i]` is equivalent to `int(ns[i-1]) > int(ns[i])`.
digits_decreasing = all(ns[i-1] > ns[i] for i in range(1, len(ns)))
digits_nonincreasing = all(ns[i-1] >= ns[i] for i in range(1, len(ns)))

if digits_decreasing:
    print("The digits of", n, "are decreasing.")
else:
    print("The digits of", n, "are not decreasing.")
if digits_nonincreasing:
    print("The digits of", n, "are nonincreasing.")
else:
    print("The digits of", n, "are not nonincreasing (i.e., there is an increment between at least two).")

