#!/usr/bin/env python3

"""
Problem 9. Write a program that loads a natural number n and prints
Fibonacci numbers F0,F1,...,Fn.
"""

n = int(input("n = "))

print("F0 = 0")
print("F1 = 1")
Fk = 0   # F_k
Fk1 = 1  # F_{k+1}

# The last k that we need is the one for which `k+2 == n`, i.e.,
# `k == n-2`. Since range goes up to the top limit, but excludes it,
# we need that limit to be `n-1`.
for k in range(n-1):
    Fk2 = Fk1 + Fk
    print("F" + str(k+2) + " =", Fk2)
    Fk = Fk1
    Fk1 = Fk2
